Subject: bug#7828: closed (Re: documentation about '-d' in AM_YFLAGS is suboptimal)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Jan 2011 22:51:02 +0000

Your bug report

#7828: Documentation about '-d' in AM_YFLAGS is suboptimal

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7828: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7828
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: documentation about '-d' in AM_YFLAGS is suboptimal
From: Stefano Lattarini <[email-masked]>
To: Ralf Wildenhues <[email-masked]>
Cc: Пухальский<[email-masked]>, [email-masked],Юрий, [email-masked]
Date: Wed, 12 Jan 2011 23:57:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wednesday 12 January 2011, Ralf Wildenhues wrote:
> 
> OK with nits addressed.
> 
> Thanks!
> Ralf
>
> [CUT]
> 
> > From a report by ???????? ????????????????????.
> 
> My email client renders this as a bunch of question marks only.  Please
> ensure that both the git log entry and the ChangeLog entry are properly
> encoded in UTF-8.
>
They should be (they both looks ok in vim with :set enc=utf-8).

> > --- a/doc/automake.texi
> > +++ b/doc/automake.texi
> > @@ -6078,7 +6078,12 @@ intended for the @file{Makefile.am} author.
> >  @code{AM_YFLAGS} is usually used to pass the @option{-d} option to
> >  @command{yacc}.  Automake knows what this means and will automatically
> >  adjust its rules to update and distribute the header file built by
> > -@samp{yacc -d}.  What Automake cannot guess, though, is where this
> > +@samp{yacc -d}@footnote{Please note that @command{automake} recognizes
> > +@option{-d} in @code{AM_YFLAGS} only if it is not clustered with other
> > +options; for example, it won't be recognized if @code{AM_YFLAGS} is
> > +@samp{-dt}, but it will be if @code{AM_YFLAGS} is @samp{-d -t} or
> > +@samp{-t -d}.}.
> 
> Generally, @footnote's should be used sparingly, as they disrupt the
> flow of reading and don't render well in the info output.  I guess it's
> acceptable here though.
> 
> Please use @option for denoting the options here.
>
OK.  Sorry for the noise, but for some stupid reason I thought that using
@option with more (whitespace-separated) arguments was inappropriate.  Go
figure.

Merged into maint and yacc-work, and merged both into master.

Thanks,
  Stefano

Subject: Fwd: header file from yacc doesn't go to a distribution (automake 1.11)
From: Юрий Пухальский <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 12 Jan 2011 12:21:19 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Package isn't enclosed because otherwise the message doesn't get through.

> Finally had time to make some tests, and now i've got it:)
>
> When i set AM_YFLAGS to -dt it doesn't distribute a header, probably
> because it's searching for -d to be alone.
> When i set AM_YFLAGS = -d -t, it works.
>
> A small test package enclosed.
>
> 2010/8/1 Ralf Wildenhues <[email-masked]>:
>> Hi Юрий,
>>
>> * Юрий Пухальский wrote on Wed, Jul 28, 2010 at 03:38:11PM CEST:
>>> In the documentation it's stated that "The intermediate files
>>> generated by yacc (or lex) will be included in any distribution that
>>> is made. That way the user doesn't need to have yacc or lex."
>>> But albeit the .c files are included, the corresponding .h file isn't.
>>>
>>> Likewise there is no rule to build a missing header file.
>>
>> Please show a small example where this fails for you.
>>
>> Thanks,
>> Ralf
>>
>
>
>
> --
> «The good thing about standards is there are so many to choose from.»
>

-- 
«The good thing about standards is there are so many to choose from.»